Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# APPSPACK::Print Class Reference

`#include <APPSPACK_Print.hpp>`

List of all members.

## Detailed Description

Printing utilities.

Parameters

These parameters are are stored in the Parameter::List that is passed to the constructor. See Solver Parameters for full details on these parameters.

- "Debug"
- "Precision"

Definition at line 69 of file APPSPACK_Print.hpp.

## Public Types
enum | PrintType { FinalSolution = 1, NewBestPoint = 2, InitialData = 3, EvaluatedPoints = 4, NewBestDirections = 5, UnevaluatedPoints = 6, Directions = 7 }
| What debugging information to print, see debug. More...
## Public Member Functions
| Print (Parameter::List &params)
| Set precision and debug from parameter list.
| ~Print ()
| Does nothing.
## Static Public Member Functions
PrintablePositiveDouble | formatPositiveDouble (double d, int precision_in=-1)
| Prints a positive double using the specified precision.
PrintableDouble | formatDouble (double d, int precision_in=-1)
| Prints a double using the specified precision.
bool | doPrint (enum PrintType type)
| Return true if the type of item specified should be printed given the current value of debug.
## Static Public Attributes
unsigned int | debug
| Debug level.
int | precision
| Precision for output of real numbers.

## Member Enumeration Documentation

enum APPSPACK::Print::PrintType

  | What debugging information to print, see debug. Enumeration values:
  FinalSolution | Final Solution.
  NewBestPoint | Every new minimum.
  InitialData | Initial data.
  EvaluatedPoints | All evaluated trial points.
  NewBestDirections | Directions corresponding to new minimum.
  UnevaluatedPoints | All unevaluated trial points.
  Directions | Directions at every iteration.
Definition at line 81 of file APPSPACK_Print.hpp.

## Constructor & Destructor Documentation

APPSPACK::Print::Print | ( | Parameter::List & | params | ) |

| Set precision and debug from parameter list. Definition at line 44 of file APPSPACK_Print.cpp. References debug, APPSPACK::Parameter::List::getParameter(), and precision.

APPSPACK::Print::~Print | ( |  | ) |

| Does nothing. Definition at line 51 of file APPSPACK_Print.cpp.

## Member Function Documentation

APPSPACK::Print::PrintablePositiveDouble APPSPACK::Print::formatPositiveDouble | ( | double | d,
|  | int | precision_in = `-1`
| ) | `[static]`

| Prints a positive double using the specified precision. Definition at line 56 of file APPSPACK_Print.cpp. Referenced by APPSPACK::Point::leftshift().

APPSPACK::Print::PrintableDouble APPSPACK::Print::formatDouble | ( | double | d,
|  | int | precision_in = `-1`
| ) | `[static]`

| Prints a double using the specified precision. Definition at line 61 of file APPSPACK_Print.cpp. Referenced by operator<<(), and APPSPACK::Constraints::Bounds::print().

bool APPSPACK::Print::doPrint | ( | enum PrintType | type | ) | `[static]`

| Return true if the type of item specified should be printed given the current value of debug. Definition at line 73 of file APPSPACK_Print.cpp. References debug.

## Member Data Documentation

unsigned int APPSPACK::Print::debug`[static]`

| Debug level. This controls how much information is printed to the screen. The higher the value, the more information that's printed. See "Debug" in Solver Parameters. Definition at line 42 of file APPSPACK_Print.cpp. Referenced by doPrint(), and Print().

int APPSPACK::Print::precision`[static]`

| Precision for output of real numbers. See "Precision" in Solver Parameters. Definition at line 41 of file APPSPACK_Print.cpp. Referenced by Print().

The documentation for this class was generated from the following files:

- APPSPACK_Print.hpp
- APPSPACK_Print.cpp

© Sandia Corporation | Site Contact | Privacy and Security

Generated on Wed Dec 14 18:41:05 2005 for APPSPACK 4.0.2 by 1.3.8 written by Dimitri van Heesch, © 1997-2002